package ink.wgink.service.department.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: DepartmentVO
 * @Description: 组织部门视图
 * @Author: WangGeng
 * @Date: 2019/3/4 4:20 PM
 * @Version: 1.0
 **/
@ApiModel
public class DepartmentVO {

    @ApiModelProperty(name = "departmentParentId", value = "组织部门上级ID")
    @CheckEmptyAnnotation(name = "组织部门上级ID")
    private String departmentParentId;
    @ApiModelProperty(name = "departmentName", value = "组织部门名称")
    @CheckEmptyAnnotation(name = "组织部门名称")
    private String departmentName;
    @ApiModelProperty(name = "departmentNameEn", value = "组织部门名称（英文）")
    private String departmentNameEn;
    @ApiModelProperty(name = "departmentNameOther", value = "组织部门名称（其他类型）")
    private String departmentNameOther;
    @ApiModelProperty(name = "departmentNo", value = "组织部门编号")
    private String departmentNo;
    @ApiModelProperty(name = "departmentType", value = "组织部门类型,1:机构,2:部门")
    @CheckNumberAnnotation(name = "组织部门类型", types = {"1", "2"})
    private Integer departmentType;
    @ApiModelProperty(name = "departmentState", value = "组织部门状态,1:正常,2:异常,3:停用")
    @CheckNumberAnnotation(name = "组织部门状态", types = {"1", "2", "3"})
    private Integer departmentState;
    @ApiModelProperty(name = "departmentSummary", value = "组织部门说明")
    private String departmentSummary;
    @ApiModelProperty(name = "departmentFax", value = "组织部门传真")
    private String departmentFax;
    @ApiModelProperty(name = "departmentTel", value = "组织部门电话")
    private String departmentTel;
    @ApiModelProperty(name = "departmentAddress", value = "组织部门地址")
    private String departmentAddress;
    @ApiModelProperty(name = "departmentMaster", value = "组织部门负责人")
    private String departmentMaster;
    @ApiModelProperty(name = "departmentDuty", value = "组织部门职责")
    private String departmentDuty;
    @ApiModelProperty(name = "departmentAreaCode", value = "部门地区编码")
    private String departmentAreaCode;
    @ApiModelProperty(name = "departmentAreaName", value = "部门地区名称")
    private String departmentAreaName;
    @ApiModelProperty(name = "departmentLongitude", value = "组织部门经度")
    private String departmentLongitude;
    @ApiModelProperty(name = "departmentLatitude", value = "组织部门纬度")
    private String departmentLatitude;
    @ApiModelProperty(name = "departmentOrder", value = "组织部门排序，默认0")
    @CheckNumberAnnotation(name = "组织部门排序")
    private Integer departmentOrder;

    public String getDepartmentParentId() {
        return departmentParentId == null ? "" : departmentParentId.trim();
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNameEn() {
        return departmentNameEn == null ? "" : departmentNameEn.trim();
    }

    public void setDepartmentNameEn(String departmentNameEn) {
        this.departmentNameEn = departmentNameEn;
    }

    public String getDepartmentNameOther() {
        return departmentNameOther == null ? "" : departmentNameOther.trim();
    }

    public void setDepartmentNameOther(String departmentNameOther) {
        this.departmentNameOther = departmentNameOther;
    }

    public String getDepartmentNo() {
        return departmentNo == null ? "" : departmentNo.trim();
    }

    public void setDepartmentNo(String departmentNo) {
        this.departmentNo = departmentNo;
    }

    public Integer getDepartmentType() {
        return departmentType;
    }

    public void setDepartmentType(Integer departmentType) {
        this.departmentType = departmentType;
    }

    public Integer getDepartmentState() {
        return departmentState;
    }

    public void setDepartmentState(Integer departmentState) {
        this.departmentState = departmentState;
    }

    public String getDepartmentSummary() {
        return departmentSummary == null ? "" : departmentSummary.trim();
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public String getDepartmentFax() {
        return departmentFax == null ? "" : departmentFax.trim();
    }

    public void setDepartmentFax(String departmentFax) {
        this.departmentFax = departmentFax;
    }

    public String getDepartmentTel() {
        return departmentTel == null ? "" : departmentTel.trim();
    }

    public void setDepartmentTel(String departmentTel) {
        this.departmentTel = departmentTel;
    }

    public String getDepartmentAddress() {
        return departmentAddress == null ? "" : departmentAddress.trim();
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentMaster() {
        return departmentMaster == null ? "" : departmentMaster.trim();
    }

    public void setDepartmentMaster(String departmentMaster) {
        this.departmentMaster = departmentMaster;
    }

    public String getDepartmentDuty() {
        return departmentDuty == null ? "" : departmentDuty.trim();
    }

    public void setDepartmentDuty(String departmentDuty) {
        this.departmentDuty = departmentDuty;
    }

    public String getDepartmentAreaCode() {
        return departmentAreaCode == null ? "" : departmentAreaCode.trim();
    }

    public void setDepartmentAreaCode(String departmentAreaCode) {
        this.departmentAreaCode = departmentAreaCode;
    }

    public String getDepartmentAreaName() {
        return departmentAreaName == null ? "" : departmentAreaName.trim();
    }

    public void setDepartmentAreaName(String departmentAreaName) {
        this.departmentAreaName = departmentAreaName;
    }

    public String getDepartmentLongitude() {
        return departmentLongitude == null ? "" : departmentLongitude.trim();
    }

    public void setDepartmentLongitude(String departmentLongitude) {
        this.departmentLongitude = departmentLongitude;
    }

    public String getDepartmentLatitude() {
        return departmentLatitude == null ? "" : departmentLatitude.trim();
    }

    public void setDepartmentLatitude(String departmentLatitude) {
        this.departmentLatitude = departmentLatitude;
    }

    public Integer getDepartmentOrder() {
        return departmentOrder;
    }

    public void setDepartmentOrder(Integer departmentOrder) {
        this.departmentOrder = departmentOrder;
    }


}
